# GCC_ConferenceQueryResponse Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceQueryResponse:

List of all members.

## Public Types

enum | OptionalFields { e_asymmetryIndicator, e_userData, e_waitForInvitationFlag, e_noUnlistedConferenceFlag }

## Public Member Functions

| GCC_ConferenceQueryResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_NodeType | m_nodeType
GCC_AsymmetryIndicator | m_asymmetryIndicator
GCC_ArrayOf_ConferenceDescriptor | m_conferenceList
GCC_ConferenceQueryResponse_result | m_result
GCC_UserData | m_userData
PASN_Boolean | m_waitForInvitationFlag
PASN_Boolean | m_noUnlistedConferenceFlag

## Member Enumeration Documentation

enum GCC_ConferenceQueryResponse::OptionalFields

Enumerator:

  e_asymmetryIndicator |
  e_userData |
  e_waitForInvitationFlag |
  e_noUnlistedConferenceFlag |

## Constructor & Destructor Documentation

GCC_ConferenceQueryResponse::GCC_ConferenceQueryResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceQueryResponse::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceQueryResponse::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceQueryResponse::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceQueryResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceQueryResponse::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceQueryResponse::Clone | ( |  | ) | const

## Member Data Documentation

GCC_NodeType GCC_ConferenceQueryResponse::m_nodeType

GCC_AsymmetryIndicator GCC_ConferenceQueryResponse::m_asymmetryIndicator

GCC_ArrayOf_ConferenceDescriptor GCC_ConferenceQueryResponse::m_conferenceList

GCC_ConferenceQueryResponse_result GCC_ConferenceQueryResponse::m_result

GCC_UserData GCC_ConferenceQueryResponse::m_userData

PASN_Boolean GCC_ConferenceQueryResponse::m_waitForInvitationFlag

PASN_Boolean GCC_ConferenceQueryResponse::m_noUnlistedConferenceFlag

The documentation for this class was generated from the following file:

- gcc.h